Skip to main content
GET
/
v2
/
subscriptions
/
{subscription_hash_id}
Get subscription details
curl --request GET \
  --url https://app.getswipe.in/api/partner/v2/subscriptions/{subscription_hash_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.getswipe.in/api/partner/v2/subscriptions/{subscription_hash_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.getswipe.in/api/partner/v2/subscriptions/{subscription_hash_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "message": "Details Fetched",
  "error_code": "",
  "errors": {},
  "data": {
    "invoices": [
      {
        "name": "CUST123",
        "id": "Cust123",
        "serial_number": "INV-123",
        "status": "active",
        "hash_id": "SUB123",
        "record_time": "10 June 2024",
        "total_amount": 1000
      }
    ],
    "total_records": 10,
    "upcoming_date": "10 June 2024",
    "repeat_every": 1,
    "repeat_unit": "months",
    "last_created": "10 June 2024"
  }
}
{
  "success": true,
  "message": "Message",
  "error_code": "",
  "errors": {},
  "data": {}
}
{
  "success": true,
  "message": "Message",
  "error_code": "",
  "errors": {},
  "data": {}
}
{
  "success": true,
  "message": "Message",
  "error_code": "",
  "errors": {},
  "data": {}
}
{
  "success": true,
  "message": "Message",
  "error_code": "",
  "errors": {},
  "data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

subscription_hash_id
string
required

The hash id of the document

Query Parameters

num_records
string
default:10

Number of records to fetch

page
integer
default:1

Page number

Response

Subscription fetched successfully

success
boolean

Success flag

Example:

true

message
string

Message

Example:

"Details Fetched"

error_code
string

Error code

Example:

""

errors
object

Error details

data
object